# 从Consul获取DigitalOcean API Token
data "consul_keys" "do_token" {
  key {
    name    = "token"
    path    = "config/dev/digitalocean/token"
    default = ""
  }
}

# DigitalOcean 提供者配置
provider "digitalocean" {
  token = data.consul_keys.do_token.var.token
}